import { ExtendedCharacter } from '../utilities/types'
import { Zone } from '@prisma/client'


class CharacterManager {

  private characters!: ExtendedCharacter[];

  constructor() {

  }

  public addCharacterToZone(character: ExtendedCharacter) {
    this.characters = [...this.characters, character]
  }

  public getCharactersByZone(zone: Zone) {
      return this.characters.filter(x => x.zoneId === zone.id);
  }
}